Skip to main content
Resource Center/Resource Pool/Auto-Scaling Group Operations

UpdateAutoScalingRule

UpdateAutoScalingRule

PUT/zstack/v1/autoscaling/rules/{uuid}/actions

Operation ID

UpdateAutoScalingRule

Since

3.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • name
    String

    Optional. The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • cooldown
    Long

    Optional. The cooldown time.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    AutoScalingRuleInventoryRequired

    See inventory.

    • type
      StringRequired

      The type of the auto scaling rule.

    • description
      StringRequired

      The detailed description of the resource.

    • cooldown
      LongRequired

      The cooldown time.

    • systemTags
      ListRequired

      The system tags.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource UUID.

    • scalingGroupUuid
      StringRequired

      The scaling group UUID.

    • state
      AutoScalingRuleStateRequired

      See state.

      • Enabled
        AutoScalingRuleStateRequired

        The auto scaling rule is enabled.

      • Disabled
        AutoScalingRuleStateRequired

        The auto scaling rule is disabled.

    • status
      AutoScalingRuleStatusRequired

      See status.

      • Created
        AutoScalingRuleStatusRequired

        The auto scaling rule is created.

      • WaitingForTrigger
        AutoScalingRuleStatusRequired

        The auto scaling rule is waiting to be triggered.

      • Triggering
        AutoScalingRuleStatusRequired

        The auto scaling rule is triggered.

      • Error
        AutoScalingRuleStatusRequired

        The Error value.

    • ruleTriggers
      ListRequired

      See ruleTriggers.

      • name
        StringRequired

        The resource name.

      • uuid
        StringRequired

        The resource UUID.

      • type
        StringRequired

        The trigger type.

      • ruleUuid
        StringRequired

        The UUID of the auto scaling rule.

      • description
        StringRequired

        The detailed description of the resource.

      • state
        StringRequired

        The state of the trigger.

        • Enabled
          AutoScalingRuleStateRequired

          The auto scaling rule is enabled.

        • Disabled
          AutoScalingRuleStateRequired

          The auto scaling rule is disabled.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.